<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>ISvgParser</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ISvgParser";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.david.model.isvgparser</a></div>
<h2 title="Class ISvgParser" class="title">Class ISvgParser</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.xml.sax.helpers.DefaultHandler</li>
<li>
<ul class="inheritance">
<li>org.david.model.isvgparser.ISvgParser</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code>, <code>org.xml.sax.ContentHandler</code>, <code>org.xml.sax.DTDHandler</code>, <code>org.xml.sax.EntityResolver</code>, <code>org.xml.sax.ErrorHandler</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">ISvgParser</span>
extends org.xml.sax.helpers.DefaultHandler
implements java.io.Serializable</pre>
<div class="block">This class is the official ".isvg" parser based on XML and SAX API.
 from a given input, a list of <code>Primitive</code> is returned.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../serialized-form.html#org.david.model.isvgparser.ISvgParser">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">ISvgParser</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#characters(char%5B%5D,int,int)">characters</a></span>&#8203;(char[]&nbsp;ch,
          int&nbsp;start,
          int&nbsp;length)</code></th>
<td class="colLast">
<div class="block">read characters after the end of the XML object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#endDocument()">endDocument</a></span>()</code></th>
<td class="colLast">
<div class="block">end of the document.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#endElement(java.lang.String,java.lang.String,java.lang.String)">endElement</a></span>&#8203;(java.lang.String&nbsp;uri,
          java.lang.String&nbsp;localName,
          java.lang.String&nbsp;qName)</code></th>
<td class="colLast">
<div class="block">end of an element.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../geo/primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getArrayOfPrimitives()">getArrayOfPrimitives</a></span>()</code></th>
<td class="colLast">
<div class="block">get the arrayOFPrimitive to send to the drawing zone (vue).</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="ISvgErrorHandler.html" title="class in org.david.model.isvgparser">ISvgErrorHandler</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getErrorHandler()">getErrorHandler</a></span>()</code></th>
<td class="colLast">
<div class="block">get the <code>IsvgErrorHandler</code> object.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../geo/primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parseIsvg(java.lang.String)">parseIsvg</a></span>&#8203;(java.lang.String&nbsp;input)</code></th>
<td class="colLast">
<div class="block">parse the string input i an array of primitives.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#startDocument()">startDocument</a></span>()</code></th>
<td class="colLast">
<div class="block">start of the document.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#startElement(java.lang.String,java.lang.String,java.lang.String,org.xml.sax.Attributes)">startElement</a></span>&#8203;(java.lang.String&nbsp;uri,
            java.lang.String&nbsp;localName,
            java.lang.String&nbsp;qName,
            org.xml.sax.Attributes&nbsp;atts)</code></th>
<td class="colLast">
<div class="block">read an element from start.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.org.xml.sax.helpers.DefaultHandler">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.xml.sax.helpers.DefaultHandler</h3>
<code>endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ISvgParser</h4>
<pre>public&nbsp;ISvgParser()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="parseIsvg(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseIsvg</h4>
<pre class="methodSignature">public&nbsp;java.util.ArrayList&lt;<a href="../../geo/primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a>&gt;&nbsp;parseIsvg&#8203;(java.lang.String&nbsp;input)</pre>
<div class="block">parse the string input i an array of primitives.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>input</code> - isvg string input</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of primitives</dd>
</dl>
</li>
</ul>
<a id="startDocument()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startDocument</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;startDocument()
                   throws org.xml.sax.SAXException</pre>
<div class="block">start of the document.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>startDocument</code>&nbsp;in interface&nbsp;<code>org.xml.sax.ContentHandler</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>startDocument</code>&nbsp;in class&nbsp;<code>org.xml.sax.helpers.DefaultHandler</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.xml.sax.SAXException</code> - exceptions thrown</dd>
</dl>
</li>
</ul>
<a id="endDocument()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endDocument</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;endDocument()
                 throws org.xml.sax.SAXException</pre>
<div class="block">end of the document.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>endDocument</code>&nbsp;in interface&nbsp;<code>org.xml.sax.ContentHandler</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>endDocument</code>&nbsp;in class&nbsp;<code>org.xml.sax.helpers.DefaultHandler</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.xml.sax.SAXException</code> - exceptions thrown</dd>
</dl>
</li>
</ul>
<a id="startElement(java.lang.String,java.lang.String,java.lang.String,org.xml.sax.Attributes)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startElement</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;startElement&#8203;(java.lang.String&nbsp;uri,
                         java.lang.String&nbsp;localName,
                         java.lang.String&nbsp;qName,
                         org.xml.sax.Attributes&nbsp;atts)
                  throws org.xml.sax.SAXException</pre>
<div class="block">read an element from start.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>startElement</code>&nbsp;in interface&nbsp;<code>org.xml.sax.ContentHandler</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>startElement</code>&nbsp;in class&nbsp;<code>org.xml.sax.helpers.DefaultHandler</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>uri</code> - uri name</dd>
<dd><code>localName</code> - local name</dd>
<dd><code>qName</code> - name of the attribut in the XML syntax</dd>
<dd><code>atts</code> - attributes given in XML</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.xml.sax.SAXException</code> - SAX exception</dd>
</dl>
</li>
</ul>
<a id="getArrayOfPrimitives()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArrayOfPrimitives</h4>
<pre class="methodSignature">public&nbsp;java.util.ArrayList&lt;<a href="../../geo/primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a>&gt;&nbsp;getArrayOfPrimitives()</pre>
<div class="block">get the arrayOFPrimitive to send to the drawing zone (vue).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of primitives</dd>
</dl>
</li>
</ul>
<a id="endElement(java.lang.String,java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endElement</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;endElement&#8203;(java.lang.String&nbsp;uri,
                       java.lang.String&nbsp;localName,
                       java.lang.String&nbsp;qName)
                throws org.xml.sax.SAXException</pre>
<div class="block">end of an element.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>endElement</code>&nbsp;in interface&nbsp;<code>org.xml.sax.ContentHandler</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>endElement</code>&nbsp;in class&nbsp;<code>org.xml.sax.helpers.DefaultHandler</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>uri</code> - uri name</dd>
<dd><code>localName</code> - local name</dd>
<dd><code>qName</code> - name of the attribut in the XML syntax</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.xml.sax.SAXException</code> - SAX exception</dd>
</dl>
</li>
</ul>
<a id="characters(char[],int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>characters</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;characters&#8203;(char[]&nbsp;ch,
                       int&nbsp;start,
                       int&nbsp;length)
                throws org.xml.sax.SAXException</pre>
<div class="block">read characters after the end of the XML object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>characters</code>&nbsp;in interface&nbsp;<code>org.xml.sax.ContentHandler</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>characters</code>&nbsp;in class&nbsp;<code>org.xml.sax.helpers.DefaultHandler</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ch</code> - array of char</dd>
<dd><code>start</code> - start position</dd>
<dd><code>length</code> - length</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.xml.sax.SAXException</code> - SAX exception</dd>
</dl>
</li>
</ul>
<a id="getErrorHandler()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getErrorHandler</h4>
<pre class="methodSignature">public&nbsp;<a href="ISvgErrorHandler.html" title="class in org.david.model.isvgparser">ISvgErrorHandler</a>&nbsp;getErrorHandler()</pre>
<div class="block">get the <code>IsvgErrorHandler</code> object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the error handler object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
